function plot_molecule(orb, Z, xAtom, yAtom, zAtom, V_min, plotlimit)
constants
    
figure
x = linspace(-plotlimit, plotlimit, 1000);
y = linspace(-plotlimit, plotlimit, 1000);
[XX, YY] = meshgrid(x, y);
ZZ = zeros(size(XX));

k = 1;
for atom = 1:numel(Z)
    for orbital = 1:numel(orb{atom})
        ZZ = ZZ + V_min(k)*atorbit(XX-xAtom(atom), YY-yAtom(atom), zeros(size(XX))-zAtom(atom), Z(atom), false, orb{atom}{orbital});
        k = k + 1;
    end
end

s = surf(XX, YY, ZZ.^2);
s.EdgeColor = 'none';
xlim([-plotlimit, plotlimit])
ylim([-plotlimit, plotlimit])
axis off
view(25,60)
